#ifndef BLOG_H
#define	BLOG_H

#include <iostream>

class Blog {

// priaate declarations (only class can use these)
private:
    // class variables (only once per class)
    static int counter;

    // object-variables (every object has its own version of them)
    std::string name;
    int id;

// public declarations, which can be used from everyone
public:
    // constructor
    Blog(std::string _name);

    // destructor (gets called when object-lifetime ends
    ~Blog();

    // get-name method
    const std::string & getName();

    int getId();
};


#endif


